Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class VisitorArgResult

    java.lang.Object
      javafe.ast.VisitorArgResult

Direct Known Subclasses:
  VisitorArgResult

public abstract class VisitorArgResult
extends java.lang.Object

Constructor Summary
`VisitorArgResult()`

Method Summary
`java.lang.Object` | `visitAmbiguousMethodInvocation(AmbiguousMethodInvocation x, java.lang.Object o)`
`java.lang.Object` | `visitAmbiguousVariableAccess(AmbiguousVariableAccess x, java.lang.Object o)`
`java.lang.Object` | `visitArrayInit(ArrayInit x, java.lang.Object o)`
`java.lang.Object` | `visitArrayRefExpr(ArrayRefExpr x, java.lang.Object o)`
`java.lang.Object` | `visitArrayType(ArrayType x, java.lang.Object o)`
`java.lang.Object` | `visitAssertStmt(AssertStmt x, java.lang.Object o)`
`abstract java.lang.Object` | `visitASTNode(ASTNode x, java.lang.Object o)`
`java.lang.Object` | `visitBinaryExpr(BinaryExpr x, java.lang.Object o)`
`java.lang.Object` | `visitBlockStmt(BlockStmt x, java.lang.Object o)`
`java.lang.Object` | `visitBranchStmt(BranchStmt x, java.lang.Object o)`
`java.lang.Object` | `visitBreakStmt(BreakStmt x, java.lang.Object o)`
`java.lang.Object` | `visitCastExpr(CastExpr x, java.lang.Object o)`
`java.lang.Object` | `visitCatchClause(CatchClause x, java.lang.Object o)`
`java.lang.Object` | `visitClassDecl(ClassDecl x, java.lang.Object o)`
`java.lang.Object` | `visitClassDeclStmt(ClassDeclStmt x, java.lang.Object o)`
`java.lang.Object` | `visitClassLiteral(ClassLiteral x, java.lang.Object o)`
`java.lang.Object` | `visitCompilationUnit(CompilationUnit x, java.lang.Object o)`
`java.lang.Object` | `visitCompoundName(CompoundName x, java.lang.Object o)`
`java.lang.Object` | `visitCondExpr(CondExpr x, java.lang.Object o)`
`java.lang.Object` | `visitConstructorDecl(ConstructorDecl x, java.lang.Object o)`
`java.lang.Object` | `visitConstructorInvocation(ConstructorInvocation x, java.lang.Object o)`
`java.lang.Object` | `visitContinueStmt(ContinueStmt x, java.lang.Object o)`
`java.lang.Object` | `visitDoStmt(DoStmt x, java.lang.Object o)`
`java.lang.Object` | `visitErrorType(ErrorType x, java.lang.Object o)`
`java.lang.Object` | `visitEvalStmt(EvalStmt x, java.lang.Object o)`
`java.lang.Object` | `visitExpr(Expr x, java.lang.Object o)`
`java.lang.Object` | `visitExprObjectDesignator(ExprObjectDesignator x, java.lang.Object o)`
`java.lang.Object` | `visitFieldAccess(FieldAccess x, java.lang.Object o)`
`java.lang.Object` | `visitFieldDecl(FieldDecl x, java.lang.Object o)`
`java.lang.Object` | `visitFormalParaDecl(FormalParaDecl x, java.lang.Object o)`
`java.lang.Object` | `visitForStmt(ForStmt x, java.lang.Object o)`
`java.lang.Object` | `visitGenericBlockStmt(GenericBlockStmt x, java.lang.Object o)`
`java.lang.Object` | `visitGenericVarDecl(GenericVarDecl x, java.lang.Object o)`
`java.lang.Object` | `visitIfStmt(IfStmt x, java.lang.Object o)`
`java.lang.Object` | `visitImportDecl(ImportDecl x, java.lang.Object o)`
`java.lang.Object` | `visitInitBlock(InitBlock x, java.lang.Object o)`
`java.lang.Object` | `visitInstanceOfExpr(InstanceOfExpr x, java.lang.Object o)`
`java.lang.Object` | `visitInterfaceDecl(InterfaceDecl x, java.lang.Object o)`
`java.lang.Object` | `visitLabelStmt(LabelStmt x, java.lang.Object o)`
`java.lang.Object` | `visitLexicalPragma(LexicalPragma x, java.lang.Object o)`
`java.lang.Object` | `visitLiteralExpr(LiteralExpr x, java.lang.Object o)`
`java.lang.Object` | `visitLocalVarDecl(LocalVarDecl x, java.lang.Object o)`
`java.lang.Object` | `visitMethodDecl(MethodDecl x, java.lang.Object o)`
`java.lang.Object` | `visitMethodInvocation(MethodInvocation x, java.lang.Object o)`
`java.lang.Object` | `visitModifierPragma(ModifierPragma x, java.lang.Object o)`
`java.lang.Object` | `visitName(Name x, java.lang.Object o)`
`java.lang.Object` | `visitNewArrayExpr(NewArrayExpr x, java.lang.Object o)`
`java.lang.Object` | `visitNewInstanceExpr(NewInstanceExpr x, java.lang.Object o)`
`java.lang.Object` | `visitObjectDesignator(ObjectDesignator x, java.lang.Object o)`
`java.lang.Object` | `visitOnDemandImportDecl(OnDemandImportDecl x, java.lang.Object o)`
`java.lang.Object` | `visitParenExpr(ParenExpr x, java.lang.Object o)`
`java.lang.Object` | `visitPrimitiveType(PrimitiveType x, java.lang.Object o)`
`java.lang.Object` | `visitReturnStmt(ReturnStmt x, java.lang.Object o)`
`java.lang.Object` | `visitRoutineDecl(RoutineDecl x, java.lang.Object o)`
`java.lang.Object` | `visitSimpleName(SimpleName x, java.lang.Object o)`
`java.lang.Object` | `visitSingleTypeImportDecl(SingleTypeImportDecl x, java.lang.Object o)`
`java.lang.Object` | `visitSkipStmt(SkipStmt x, java.lang.Object o)`
`java.lang.Object` | `visitStmt(Stmt x, java.lang.Object o)`
`java.lang.Object` | `visitStmtPragma(StmtPragma x, java.lang.Object o)`
`java.lang.Object` | `visitSuperObjectDesignator(SuperObjectDesignator x, java.lang.Object o)`
`java.lang.Object` | `visitSwitchLabel(SwitchLabel x, java.lang.Object o)`
`java.lang.Object` | `visitSwitchStmt(SwitchStmt x, java.lang.Object o)`
`java.lang.Object` | `visitSynchronizeStmt(SynchronizeStmt x, java.lang.Object o)`
`java.lang.Object` | `visitThisExpr(ThisExpr x, java.lang.Object o)`
`java.lang.Object` | `visitThrowStmt(ThrowStmt x, java.lang.Object o)`
`java.lang.Object` | `visitTryCatchStmt(TryCatchStmt x, java.lang.Object o)`
`java.lang.Object` | `visitTryFinallyStmt(TryFinallyStmt x, java.lang.Object o)`
`java.lang.Object` | `visitType(Type x, java.lang.Object o)`
`java.lang.Object` | `visitTypeDecl(TypeDecl x, java.lang.Object o)`
`java.lang.Object` | `visitTypeDeclElemPragma(TypeDeclElemPragma x, java.lang.Object o)`
`java.lang.Object` | `visitTypeModifierPragma(TypeModifierPragma x, java.lang.Object o)`
`java.lang.Object` | `visitTypeName(TypeName x, java.lang.Object o)`
`java.lang.Object` | `visitTypeObjectDesignator(TypeObjectDesignator x, java.lang.Object o)`
`java.lang.Object` | `visitUnaryExpr(UnaryExpr x, java.lang.Object o)`
`java.lang.Object` | `visitVarDeclStmt(VarDeclStmt x, java.lang.Object o)`
`java.lang.Object` | `visitVariableAccess(VariableAccess x, java.lang.Object o)`
`java.lang.Object` | `visitVarInit(VarInit x, java.lang.Object o)`
`java.lang.Object` | `visitWhileStmt(WhileStmt x, java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisitorArgResult

    public VisitorArgResult()

Method Detail

### visitASTNode

    public abstract java.lang.Object visitASTNode(ASTNode x,
                                                  java.lang.Object o)

### visitCompilationUnit

    public java.lang.Object visitCompilationUnit(CompilationUnit x,
                                                 java.lang.Object o)

### visitImportDecl

    public java.lang.Object visitImportDecl(ImportDecl x,
                                            java.lang.Object o)

### visitSingleTypeImportDecl

    public java.lang.Object visitSingleTypeImportDecl(SingleTypeImportDecl x,
                                                      java.lang.Object o)

### visitOnDemandImportDecl

    public java.lang.Object visitOnDemandImportDecl(OnDemandImportDecl x,
                                                    java.lang.Object o)

### visitTypeDecl

    public java.lang.Object visitTypeDecl(TypeDecl x,
                                          java.lang.Object o)

### visitClassDecl

    public java.lang.Object visitClassDecl(ClassDecl x,
                                           java.lang.Object o)

### visitInterfaceDecl

    public java.lang.Object visitInterfaceDecl(InterfaceDecl x,
                                               java.lang.Object o)

### visitRoutineDecl

    public java.lang.Object visitRoutineDecl(RoutineDecl x,
                                             java.lang.Object o)

### visitConstructorDecl

    public java.lang.Object visitConstructorDecl(ConstructorDecl x,
                                                 java.lang.Object o)

### visitMethodDecl

    public java.lang.Object visitMethodDecl(MethodDecl x,
                                            java.lang.Object o)

### visitInitBlock

    public java.lang.Object visitInitBlock(InitBlock x,
                                           java.lang.Object o)

### visitTypeDeclElemPragma

    public java.lang.Object visitTypeDeclElemPragma(TypeDeclElemPragma x,
                                                    java.lang.Object o)

### visitGenericVarDecl

    public java.lang.Object visitGenericVarDecl(GenericVarDecl x,
                                                java.lang.Object o)

### visitLocalVarDecl

    public java.lang.Object visitLocalVarDecl(LocalVarDecl x,
                                              java.lang.Object o)

### visitFieldDecl

    public java.lang.Object visitFieldDecl(FieldDecl x,
                                           java.lang.Object o)

### visitFormalParaDecl

    public java.lang.Object visitFormalParaDecl(FormalParaDecl x,
                                                java.lang.Object o)

### visitStmt

    public java.lang.Object visitStmt(Stmt x,
                                      java.lang.Object o)

### visitGenericBlockStmt

    public java.lang.Object visitGenericBlockStmt(GenericBlockStmt x,
                                                  java.lang.Object o)

### visitBlockStmt

    public java.lang.Object visitBlockStmt(BlockStmt x,
                                           java.lang.Object o)

### visitSwitchStmt

    public java.lang.Object visitSwitchStmt(SwitchStmt x,
                                            java.lang.Object o)

### visitAssertStmt

    public java.lang.Object visitAssertStmt(AssertStmt x,
                                            java.lang.Object o)

### visitVarDeclStmt

    public java.lang.Object visitVarDeclStmt(VarDeclStmt x,
                                             java.lang.Object o)

### visitClassDeclStmt

    public java.lang.Object visitClassDeclStmt(ClassDeclStmt x,
                                               java.lang.Object o)

### visitWhileStmt

    public java.lang.Object visitWhileStmt(WhileStmt x,
                                           java.lang.Object o)

### visitDoStmt

    public java.lang.Object visitDoStmt(DoStmt x,
                                        java.lang.Object o)

### visitSynchronizeStmt

    public java.lang.Object visitSynchronizeStmt(SynchronizeStmt x,
                                                 java.lang.Object o)

### visitEvalStmt

    public java.lang.Object visitEvalStmt(EvalStmt x,
                                          java.lang.Object o)

### visitReturnStmt

    public java.lang.Object visitReturnStmt(ReturnStmt x,
                                            java.lang.Object o)

### visitThrowStmt

    public java.lang.Object visitThrowStmt(ThrowStmt x,
                                           java.lang.Object o)

### visitBranchStmt

    public java.lang.Object visitBranchStmt(BranchStmt x,
                                            java.lang.Object o)

### visitBreakStmt

    public java.lang.Object visitBreakStmt(BreakStmt x,
                                           java.lang.Object o)

### visitContinueStmt

    public java.lang.Object visitContinueStmt(ContinueStmt x,
                                              java.lang.Object o)

### visitLabelStmt

    public java.lang.Object visitLabelStmt(LabelStmt x,
                                           java.lang.Object o)

### visitIfStmt

    public java.lang.Object visitIfStmt(IfStmt x,
                                        java.lang.Object o)

### visitForStmt

    public java.lang.Object visitForStmt(ForStmt x,
                                         java.lang.Object o)

### visitSkipStmt

    public java.lang.Object visitSkipStmt(SkipStmt x,
                                          java.lang.Object o)

### visitSwitchLabel

    public java.lang.Object visitSwitchLabel(SwitchLabel x,
                                             java.lang.Object o)

### visitTryFinallyStmt

    public java.lang.Object visitTryFinallyStmt(TryFinallyStmt x,
                                                java.lang.Object o)

### visitTryCatchStmt

    public java.lang.Object visitTryCatchStmt(TryCatchStmt x,
                                              java.lang.Object o)

### visitStmtPragma

    public java.lang.Object visitStmtPragma(StmtPragma x,
                                            java.lang.Object o)

### visitConstructorInvocation

    public java.lang.Object visitConstructorInvocation(ConstructorInvocation x,
                                                       java.lang.Object o)

### visitCatchClause

    public java.lang.Object visitCatchClause(CatchClause x,
                                             java.lang.Object o)

### visitVarInit

    public java.lang.Object visitVarInit(VarInit x,
                                         java.lang.Object o)

### visitArrayInit

    public java.lang.Object visitArrayInit(ArrayInit x,
                                           java.lang.Object o)

### visitExpr

    public java.lang.Object visitExpr(Expr x,
                                      java.lang.Object o)

### visitThisExpr

    public java.lang.Object visitThisExpr(ThisExpr x,
                                          java.lang.Object o)

### visitLiteralExpr

    public java.lang.Object visitLiteralExpr(LiteralExpr x,
                                             java.lang.Object o)

### visitArrayRefExpr

    public java.lang.Object visitArrayRefExpr(ArrayRefExpr x,
                                              java.lang.Object o)

### visitNewInstanceExpr

    public java.lang.Object visitNewInstanceExpr(NewInstanceExpr x,
                                                 java.lang.Object o)

### visitNewArrayExpr

    public java.lang.Object visitNewArrayExpr(NewArrayExpr x,
                                              java.lang.Object o)

### visitCondExpr

    public java.lang.Object visitCondExpr(CondExpr x,
                                          java.lang.Object o)

### visitInstanceOfExpr

    public java.lang.Object visitInstanceOfExpr(InstanceOfExpr x,
                                                java.lang.Object o)

### visitCastExpr

    public java.lang.Object visitCastExpr(CastExpr x,
                                          java.lang.Object o)

### visitBinaryExpr

    public java.lang.Object visitBinaryExpr(BinaryExpr x,
                                            java.lang.Object o)

### visitUnaryExpr

    public java.lang.Object visitUnaryExpr(UnaryExpr x,
                                           java.lang.Object o)

### visitParenExpr

    public java.lang.Object visitParenExpr(ParenExpr x,
                                           java.lang.Object o)

### visitAmbiguousVariableAccess

    public java.lang.Object visitAmbiguousVariableAccess(AmbiguousVariableAccess x,
                                                         java.lang.Object o)

### visitVariableAccess

    public java.lang.Object visitVariableAccess(VariableAccess x,
                                                java.lang.Object o)

### visitFieldAccess

    public java.lang.Object visitFieldAccess(FieldAccess x,
                                             java.lang.Object o)

### visitAmbiguousMethodInvocation

    public java.lang.Object visitAmbiguousMethodInvocation(AmbiguousMethodInvocation x,
                                                           java.lang.Object o)

### visitMethodInvocation

    public java.lang.Object visitMethodInvocation(MethodInvocation x,
                                                  java.lang.Object o)

### visitClassLiteral

    public java.lang.Object visitClassLiteral(ClassLiteral x,
                                              java.lang.Object o)

### visitObjectDesignator

    public java.lang.Object visitObjectDesignator(ObjectDesignator x,
                                                  java.lang.Object o)

### visitExprObjectDesignator

    public java.lang.Object visitExprObjectDesignator(ExprObjectDesignator x,
                                                      java.lang.Object o)

### visitTypeObjectDesignator

    public java.lang.Object visitTypeObjectDesignator(TypeObjectDesignator x,
                                                      java.lang.Object o)

### visitSuperObjectDesignator

    public java.lang.Object visitSuperObjectDesignator(SuperObjectDesignator x,
                                                       java.lang.Object o)

### visitType

    public java.lang.Object visitType(Type x,
                                      java.lang.Object o)

### visitErrorType

    public java.lang.Object visitErrorType(ErrorType x,
                                           java.lang.Object o)

### visitPrimitiveType

    public java.lang.Object visitPrimitiveType(PrimitiveType x,
                                               java.lang.Object o)

### visitTypeName

    public java.lang.Object visitTypeName(TypeName x,
                                          java.lang.Object o)

### visitArrayType

    public java.lang.Object visitArrayType(ArrayType x,
                                           java.lang.Object o)

### visitName

    public java.lang.Object visitName(Name x,
                                      java.lang.Object o)

### visitSimpleName

    public java.lang.Object visitSimpleName(SimpleName x,
                                            java.lang.Object o)

### visitCompoundName

    public java.lang.Object visitCompoundName(CompoundName x,
                                              java.lang.Object o)

### visitModifierPragma

    public java.lang.Object visitModifierPragma(ModifierPragma x,
                                                java.lang.Object o)

### visitLexicalPragma

    public java.lang.Object visitLexicalPragma(LexicalPragma x,
                                               java.lang.Object o)

### visitTypeModifierPragma

    public java.lang.Object visitTypeModifierPragma(TypeModifierPragma x,
                                                    java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage